import {NgModule} from '@angular/core'
import {
  CreAutocompleteInputComponent, CreCheckboxInputComponent,
  CreChipComboBoxComponent,
  CreChipInputComponent,
  CreComboBoxComponent, CreFileInputComponent,
  CreInputComponent, CrePeriodInputComponent, CreSliderInputComponent
} from './inputs'
import {MatInputModule} from '@angular/material/input'
import {MatIconModule} from '@angular/material/icon'
import {FormsModule, ReactiveFormsModule} from '@angular/forms'
import {CommonModule} from '@angular/common'
import {MatCardModule} from '@angular/material/card'
import {MatListModule} from '@angular/material/list'
import {MatAutocompleteModule} from '@angular/material/autocomplete'
import {MatChipsModule} from '@angular/material/chips'
import {CreButtonsModule} from '../buttons/buttons.module'
import {MatCheckboxModule} from '@angular/material/checkbox'
import {MatSelectModule} from '@angular/material/select'
import {MatSliderModule} from '@angular/material/slider';

@NgModule({
  declarations: [
    CreInputComponent,
    CreChipInputComponent,
    CreAutocompleteInputComponent,
    CreComboBoxComponent,
    CreChipComboBoxComponent,
    CreFileInputComponent,
    CreCheckboxInputComponent,
    CrePeriodInputComponent,
    CreSliderInputComponent
  ],
  imports: [
    MatInputModule,
    MatAutocompleteModule,
    MatIconModule,
    ReactiveFormsModule,
    CommonModule,
    MatCardModule,
    MatListModule,
    MatChipsModule,
    FormsModule,
    CreButtonsModule,
    MatCheckboxModule,
    MatSelectModule,
    MatSliderModule,
  ],
  exports: [
    CreInputComponent,
    CreComboBoxComponent,
    CreChipComboBoxComponent,
    CreChipInputComponent,
    CreAutocompleteInputComponent,
    CreFileInputComponent,
    CreCheckboxInputComponent,
    CrePeriodInputComponent,
    CreSliderInputComponent
  ]
})
export class CreInputsModule {
}
